---
lang: en
title: 'API docs: openapi-spec-builder.builderbase.(constructor)'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.openapi-spec-builder.builderbase.(constructor).html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-spec-builder](./openapi-spec-builder.md) &gt; [BuilderBase](./openapi-spec-builder.builderbase.md) &gt; [(constructor)](./openapi-spec-builder.builderbase.(constructor).md)

## BuilderBase.(constructor)

Constructs a new instance of the `BuilderBase` class

<b>Signature:</b>

```typescript
constructor(initialSpec: T);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  initialSpec | <code>T</code> |  |


